Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18206)
@@ -577,5 +577,5 @@
           invalidate_user_cache();
           logout_user();
-          redirect(UAM_PATH.'GT_del_account.php');
+          redirect( make_index_url().'?UAM_msg=deleted', 0);
         }
     		}
@@ -909,5 +909,6 @@
     global $user, $lang, $conf, $page;
     $conf_UAM = unserialize($conf['UserAdvManager']);
-    
+
+    // Connexion rejected until validation
     if (isset($conf_UAM[40]) and $conf_UAM[40] <> '' and $_GET['UAM_msg']="rejected")
     {
@@ -924,4 +925,24 @@
       }
       else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[40]));
+      
+      $page["errors"][]=$custom_text;
+    }
+
+				// User account deleted after validation deadline
+    if (isset($conf_UAM[23]) and $conf_UAM[23] <> '' and $_GET['UAM_msg']="deleted")
+    {
+      // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
+      // -----------------------------------------------------------------------------------------
+      $patterns[] = '#\[mygallery\]#i';
+      $replacements[] = $conf['gallery_title'];
+      $patterns[] = '#\[myurl\]#i';
+      $replacements[] = get_gallery_home_url();
+
+      if (function_exists('get_user_language_desc'))
+      {
+        $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[23]));
+      }
+      else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
+      
       $page["errors"][]=$custom_text;
     }
Index: /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Passwort: %s';
 $lang['UAM_Link: %s'] = 'Klicken Sie bitte auf diesen Link bestätigen Sie Ihre Anmeldung: %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Überprüfen Sie Ihre Registrierung';
-$lang['UAM_confirm_mail_page_title'] = 'Überprüfen Sie Ihre Registrierung';
 
 
@@ -193,6 +188,4 @@
 $lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
 $lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Zugriff verweigert - Account zerstört!';
-$lang['UAM_title_redir_page'] = 'Zugriff verweigert sich für ein Konto zerstört!';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsistenz-Fehler in der Konfiguration gewählt:<br><br>
 "Einstellen der Registrierung durchgeführt und andere Optionen > Geist Besucher-Management (Geist Tracker) > Automatische Verwaltung von Geist Benutzern > Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" kann nicht aktiviert werden, wenn "Einstellen Bestätigungen und Validierungen der Registrierung > Bestätigung der Anmeldung - Validation von Benutzer" ist zunächst nicht aktiviert.<br><br>
@@ -364,5 +357,4 @@
 $lang['UAM_RejectConnexion'] = 'Ablehnen Benutzer-Verbindung, bis die Registrierung bestätigt wird,';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Passen Ablehnung Text';
-$lang['UAM_Reject_Page_Title'] = 'Connexion nicht erlaubt!';
 $lang['UAM_Restoration_NOK'] = 'Fehler beim Wiederherstellen der Konfiguration. Bitte pr';
 $lang['UAM_Restoration_OK'] = 'Wiederherstellen der Konfiguration wurde erfolgreich abgeschlossen! Bitte laden UAM-Administration, um die wiederhergestellten Einstellungen anzuzeigen.';
Index: /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 18206)
@@ -85,5 +85,4 @@
 $lang['UAM_Disable'] = 'Απενεργοποίηση (προεπιλογή)';
 $lang['UAM_Demotion of %s'] = 'Υποβιβασμός του %s';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Δεν επιτρέπεται η πρόσβαση - Λογαριασμός καταργήθηκε!';
 $lang['UAM_Delete_selected'] = 'Διαγραφή';
 $lang['UAM_Default_ValidationTimeout_Txt'] = 'Λυπούμαστε, ο λογαριασμός σας έχει διαγραφεί επειδή δεν έχετε επιβεβαιώσει την εγγραφή σας στο ζητούμενο χρόνο ([Kdays] ημέρες). Παρακαλώ, δοκιμάστε ξανά εγγραφή με ένα έγκυρο και όχι μπλοκαρισμένο λογαριασμό email.';
@@ -283,5 +282,4 @@
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Προσαρμογή του κειμένου απόρριψης';
 $lang['UAM_Reminder'] = 'Αποστολή υπενθύμισης';
-$lang['UAM_Reject_Page_Title'] = 'Η σύνδεση δεν επιτρέπεται!';
 $lang['UAM_RejectConnexion'] = 'Απόρριψη σύνδεσης στο χρήστη μέχρι καταχώριση επιβεβαίωσης';
 $lang['UAM_Registration_Date'] = 'Ημερομηνία εγγραφής';
@@ -297,6 +295,4 @@
 $lang['UAM_Password: %s'] = 'Κωδικός: %s';
 $lang['UAM_Password reset selected users'] = 'Αίτηση ανανέωσης κωδικού πρόσβασης για επιλεγμένους χρήστες';
-$lang['UAM_title_redir_page'] = 'Δεν επιτρέπεται η πρόσβαση έχοντας ένα λογαριασμό που καταργήθηκε!';
-$lang['UAM_title_confirm_mail'] = 'Επιβεβαιώστε την εγγραφή σας';
 $lang['UAM_submit'] = 'Υποβολή ρυθμίσεων';
 $lang['UAM_save_config'] = 'Η Διαμόρφωση αποθηκεύτηκε.';
@@ -315,5 +311,4 @@
 $lang['UAM_confirmmail_custom_Txt2'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση μη αποδεκτή';
 $lang['UAM_confirmmail_custom_Txt1'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση αποδεκτή';
-$lang['UAM_confirm_mail_page_title'] = 'Επιβεβαιώστε την εγγραφή σας';
 $lang['UAM_audit_ok'] = 'Παρακολούθηση ΟΚ';
 $lang['UAM_audit'] = 'Ρυθμίσεις Παρακολούθησης';
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 18206)
@@ -166,6 +166,4 @@
 $lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
 $lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
-$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the chosen configuration:
 <br><br>
@@ -278,5 +276,4 @@
 $lang['UAM_NewFeature'] = 'New feature !';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
-$lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
 // --------- End: New or revised $lang ---- from version 2.30.2
 
@@ -289,6 +286,4 @@
 $lang['UAM_Stuffs_Desc'] = 'Adds an information block for unconfirmed users';
 /* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Confirm your registration';
-$lang['UAM_confirm_mail_page_title'] = 'Confirm your registration';
 $lang['UAM_%d_Validated_User'] = '%d User confirmed manually';
 $lang['UAM_%d_Validated_Users'] = '%d Users confirmed manually';
Index: /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Contraseña: %s';
 $lang['UAM_Link: %s'] = 'Por favor, haga clic en este enlace para confirmar su registro: %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Validar su inscripción';
-$lang['UAM_confirm_mail_page_title'] = 'Validar su inscripción';
 
 
@@ -226,6 +221,4 @@
 $lang['UAM_GTAuto'] = 'Gestión automática de los Espíritus usuarios';
 $lang['UAM_GTAutoDel'] = 'Borrado automático de las cuentas';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Acceso denegado - Cuenta destruido!';
-$lang['UAM_title_redir_page'] = 'Acceso denegado por haber destruido una cuenta!';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Error de coherencia en la configuración elegida:<br><br>
 "Configuración de los registros seguidos y otras opciones > Gestión de Espíritu visitantes (Tracker Ghost) > Gestión automática de los Espíritus usuarios > Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado" no se puede activar si "Configuración de las confirmaciones y validaciones de registro > Confirmación de registro - La validación por el usuario" no está habilitada en un principio.<br><br>
@@ -326,5 +319,4 @@
 $lang['UAM_Restoration_OK'] = 'Restauración de la configuración completada con éxito! Vuelve a cargar la página de administración UAM para ver la configuración restaurada.';
 $lang['UAM_Restoration_NOK'] = 'Se produjo un error mientras se restaura la configuración. Por favor, compruebe la validez de su archivo de copia de seguridad.';
-$lang['UAM_Reject_Page_Title'] = 'Conexión no permitida !';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Personalización del texto de rechazo';
 $lang['UAM_RejectConnexion'] = 'Rechazar conexión del usuario hasta que el registro se confirma';
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Mot de passe: %s';
 $lang['UAM_Link: %s'] = 'Cliquez sur le lien suivant pour confirmer l\'inscription : %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Confirmation de votre inscription';
-$lang['UAM_confirm_mail_page_title'] = 'Confirmation d\'inscription';
 
 
@@ -178,6 +173,4 @@
 $lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
 $lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
-$lang['UAM_title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :
 <br><br>
@@ -287,5 +280,4 @@
 $lang['UAM_NewFeature'] = 'Nouvelle option !';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Personnaliser le texte de la page de rejet de la connexion';
-$lang['UAM_Reject_Page_Title'] = 'Connexion refusée !';
 // --------- End: New or revised $lang ---- from version 2.30.2
 
Index: /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Jelszó: %s';
 $lang['UAM_Link: %s'] = 'Kérlek, klikkelj ide a regisztrációd érvényesítéséhez : %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Érvényesítsd a regisztrációdat';
-$lang['UAM_confirm_mail_page_title'] = 'Érvényesítsd a regisztrációdat';
 
 
@@ -187,6 +182,4 @@
 $lang['UAM_GTAuto'] = 'Szellem-felhasználók automatikus követése';
 $lang['UAM_GTAutoDel'] = 'Azonosítók automatikus törlése';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Hozzáférés megtagadva - Azonosító megsemmisítve!';
-$lang['UAM_title_redir_page'] = 'Hozzáférés megtagadva azonosító megsemmisítése miatt!';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Következetlenség a választott konfigurációban:
 <br><br>
Index: /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Password: %s';
 $lang['UAM_Link: %s'] = 'Cliccare su questo link per confermare la vostra iscrizione: %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Conferma la tua iscrizione';
-$lang['UAM_confirm_mail_page_title'] = 'Conferma la tua iscrizione';
 
 
@@ -186,6 +181,4 @@
 $lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasma';
 $lang['UAM_GTAutoDel'] = 'Cancellazione automatica degli account';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account eliminato!';
-$lang['UAM_title_redir_page'] = 'Accesso negato per aver cancellato l\'account!';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Errore di coerenza nella configurazione prescelta :
 <br><br>
@@ -351,5 +344,5 @@
 
 Distinti saluti,
-L\'amministratore della galleria [mygallery] - [myurl]';
+L\'amministratore della galleria [mygallery] - [myurl]
 Alla ricezione di questo messaggio e non ricevendo altre visite entro [days] giorni, saremo obbligati a cancellare l\'account.
 
@@ -360,5 +353,4 @@
 Sono state apportate modifiche significative nel tuo profilo sul gallery [mygallery]. Ti prego di trovare di seguito le nuove impostazioni:';
 
-Sono state apportate modifiche significative nel tuo profilo sul gallery [mygallery]. Per favore, di seguito troverete le nuove impostazioni:';
 $lang['UAM_Default_PwdRequest_Txt'] = 'Hai richiesto il rinnovo della password. Qui sotto trovi i nuovi dati di connessione';
 $lang['UAM_Default_RejectConnexion_Txt'] = 'Siamo spiacenti, non hai ancora confermato la registrazione, perciò non ti puoi connettere ora alla galleria. Controlla la tua casella mail. Dovresti trovare una mail inviata dalla galleria, contenente un link per eseguire la conferma. Se non la trovi, contatta il webmaster.';
@@ -381,5 +373,4 @@
 $lang['UAM_RejectConnexion'] = 'Rifiuta connessione dell\'utente finchè non è confermata la registrazione';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Personalizza testo di rifiuto';
-$lang['UAM_Reject_Page_Title'] = 'Connessione non permessa!';
 $lang['UAM_Restoration_NOK'] = 'E\' avvenuto un errore durante il ripristino della configurazione. Controlla la validità del file di backup.';
 $lang['UAM_Restoration_OK'] = 'Il ripristino della configurazione è stato completato con successo! Ricarica la pagina di amministrazione di UAM per vedere la configurazione ripristinata.';
Index: /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 18205)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 18206)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Parole: %s';
 $lang['UAM_Link: %s'] = 'Lūdzu, uzklikšķiniet uz šīs saites, lai apstiprinātu savu reģistrāciju : %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Apstipriniet savu reģistrāciju';
-$lang['UAM_confirm_mail_page_title'] = 'Apstipriniet savu reģistrāciju';
 
 
@@ -238,5 +233,4 @@
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Pielāgot noraidījuma tekstu';
 $lang['UAM_RejectConnexion'] = 'Noraidīt lietotāja konekciju, kamēr reģistrācija nav apstiprināta';
-$lang['UAM_Reject_Page_Title'] = 'Konekcija nav atļauta!';
 $lang['UAM_Admins cannot be pwdreset'] = 'Paroles atjaunošanu nevar veikt admins kontam!';
 $lang['UAM_Confirm_Level'] = 'Konfidencialitātes līmenis (atstāt ------- lai paturētu Piwigo pēc noklusējuma)';
@@ -254,5 +248,4 @@
 $lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Atgādinājums - [username] reģistrācijas apstiprināšana galerijā [mygallery]';
 $lang['UAM_Default_GTReminder_Subject'] = '[username] - Pagājis ilgs laiks kopš pēdējo reizi apmeklēta galerija [mygallery]';
-$lang['UAM_Deleted_Account_Redirection_Page'] = 'Piekļuve liegta - Konts iznīcināts!';
 $lang['UAM_Demotion of %s'] = '%s pazemināšana';
 $lang['UAM_DumpTxt'] = 'Izveidot jūsu configurācijas rezerves kopiju un atjaunot konfigurāciju';
@@ -294,5 +287,4 @@
 $lang['UAM_You cannot pwdreset your account'] = 'Paroles atjaunošanu nevar iestatīt jūsu paša(as) kontam!';
 $lang['UAM_You need to confirm pwdreset'] = 'Jums jāapstiprina paroles atjaunošana (atzīmēt rūtiņā)!';
-$lang['UAM_title_redir_page'] = 'Piekļuve liegta konta iznīcināšanas dēļ!';
 $lang['UAM_GTAutoGp'] = 'Grupas statusa/konfidencialitātes līmeņa automātiska nomaiņa';
 $lang['UAM_No_Userlist'] = 'Uz doto momentu nav lietotāju ko attēlot ';