Index: trunk/language/zh_CN/admin.lang.php
===================================================================
--- trunk/language/zh_CN/admin.lang.php	(revision 18202)
+++ trunk/language/zh_CN/admin.lang.php	(revision 18209)
@@ -66,8 +66,8 @@
 $lang['Current name'] = '现用名';
 $lang['Database'] = '数据库';
-$lang['Deactivate'] = '注销';
-$lang['Delete Representant'] = '删除代理人';
-$lang['Delete selected tags'] = '删除所选标签';
-$lang['Delete selected users'] = '删除所选用户';
+$lang['Deactivate'] = '停用';
+$lang['Delete Representant'] = '删除相册缩略图';
+$lang['Delete selected tags'] = '删除选中的标签';
+$lang['Delete selected users'] = '删除选中的用户';
 $lang['Deletions'] = '删除';
 $lang['Deny selected groups'] = '所选组禁止访问';
@@ -75,11 +75,11 @@
 $lang['Description'] = '描述';
 $lang['Display options'] = '显示选项';
-$lang['Dissociated'] = '取消联系';
-$lang['Does not represent'] = '不需描绘';
-$lang['Edit selected tags'] = '编辑所选标签';
+$lang['Dissociated'] = '关联已取消';
+$lang['Does not represent'] = '并非缩略图of';
+$lang['Edit selected tags'] = '编辑选中的标签';
 $lang['Edit tags'] = '编辑标签';
-$lang['Email admins when a new user registers'] = '一旦用户注册就通知管理员';
-$lang['Email admins when a valid comment is entered'] = '当用户发表评论时就通知管理员';
-$lang['Email admins when a comment requires validation'] = '当用户要求确认他的评论时通知管理员';
+$lang['Email admins when a new user registers'] = '有新用户注册时，发邮件通知管理员';
+$lang['Email admins when a valid comment is entered'] = '当有效的评论发布后，发邮件通知管理员';
+$lang['Email admins when a comment requires validation'] = '当有评论需要审核时，发邮件通知管理员';
 $lang['Environment'] = '环境';
 $lang['Form'] = '表单';
@@ -98,5 +98,5 @@
 $lang['Lock gallery'] = '冻结图库';
 $lang['Maintenance'] = '维护';
-$lang['Edit album permissions'] = '管理相册的权限';
+$lang['Edit album permissions'] = '管理相册权限';
 $lang['Manage permissions for group "%s"'] = '对组 "%s" 进行权限管理';
 $lang['Manage permissions for user "%s"'] = '对用户 "%s" 进行权限管理';
@@ -182,5 +182,5 @@
 $lang['Private'] = '私有相册';
 $lang['Public'] = '公共相册';
-$lang['Find a new representant by random'] = '随机寻找代理人';
+$lang['Find a new representant by random'] = '采用新的随机相册缩略图';
 $lang['Public / Private'] = '公有 / 私有';
 $lang['Manage authorizations for selected albums'] = '管理所选相册的授权';
@@ -188,5 +188,5 @@
 $lang['Virtual album deleted'] = '虚拟相册已删除';
 $lang['Access type'] = '权限类型';
-$lang['Information data registered in database'] = '信息已保存到数据库中';
+$lang['Information data registered in database'] = '信息数据已录入数据库';
 $lang['Default display'] = '默认显示';
 $lang['The gallery URL is not valid.'] = '图库地址不合法.';
@@ -197,9 +197,9 @@
 $lang['Date'] = '日期';
 $lang['delete album'] = '删除相册';
-$lang['Dissociate from album'] = '从相册中删除';
+$lang['Dissociate from album'] = '取消与相册的关联';
 $lang['dissociate from group'] = '取消组关联';
 $lang['Album updated successfully'] = '相册已更新成功';
 $lang['photos per page'] = '每页图片';
-$lang['High definition enabled'] = '激活高清功能';
+$lang['High definition enabled'] = '高清功能已激活';
 $lang['File'] = '文件';
 $lang['first photo added on %s'] = '第一张图上传于：%s';
@@ -230,5 +230,5 @@
 $lang['See you soon,'] = '再见,';
 $lang['Go to'] = '转至 ';
-$lang['Hello'] = '您好 ';
+$lang['Hello'] = '您好';
 $lang['New photos were added'] = '加入一些新图片';
 $lang['on'] = '时间: ';
@@ -238,5 +238,5 @@
 $lang['You have subscribed to receiving notifications by mail.'] = '您开通了邮件通知功能.';
 $lang['To subscribe'] = '注册新用户';
-$lang['If you encounter problems or have any question, please send a message to'] = '如有遇到故障或问题,请发邮件至 ';
+$lang['If you encounter problems or have any question, please send a message to'] = '如有遇到故障或问题,请发邮件至';
 $lang['[NBM] Problems or questions'] = '[NBM] 故障或问题';
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = '网管取消了您的邮件通知功能.';
@@ -246,5 +246,5 @@
 $lang['With blank value, gallery title will be used'] = '图库标题允许为空';
 $lang['Notification'] = 'RSS订阅';
-$lang['Error when sending email to %s [%s].'] = '发送邮件 给 %s [%s] 是发生了错误.';
+$lang['Error when sending email to %s [%s].'] = '发送邮件给 %s [%s] 时发生了错误.';
 $lang['Mail sent to %s [%s].'] = '已发送至 %s [%s].';
 $lang['%d mail was sent.'] = '%s份邮件已发送.';
@@ -315,5 +315,5 @@
 $lang['update the database from files'] = '根据文件对数据库进行更新';
 $lang['status'] = '状态';
-$lang['Directory'] = '文件夹';
+$lang['Directory'] = '目录';
 $lang['sub-albums'] = '子相册';
 $lang['Synchronize metadata'] = '同步元数据';
@@ -323,5 +323,5 @@
 $lang['Album list management'] = '相册列表管理';
 $lang['Piwigo configuration'] = '配置Piwigo';
-$lang['Edit album'] = '修改一个相册';
+$lang['Edit album'] = '编辑相册';
 $lang['Group management'] = '组管理';
 $lang['User list'] = '用户名单';
@@ -348,8 +348,8 @@
 $lang['Choose an option'] = '选择一个选项';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = '显示最全的信息 (添加相册和图片，删除相册和图片)';
-$lang['Error list'] = '错误清单';
+$lang['Error list'] = '错误列表';
 $lang['Errors caption'] = '错误说明';
 $lang['Detailed informations'] = '详细信息';
-$lang['File/directory read error'] = '文件/文件夹打开错误';
+$lang['File/directory read error'] = '文件/目录读取错误';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = '无法打开文件或文件夹(要么根本不存在,要么拒绝访问)';
 $lang['albums deleted in the database'] = '相册已从数据库删除';
@@ -395,5 +395,5 @@
 $lang['Time'] = '时间';
 $lang['IP'] = 'IP';
-$lang['Element'] = '图片';
+$lang['Element'] = '元素';
 $lang['Section'] = '区域';
 $lang['An information email was sent to group "%s"'] = '已向 "%s" 组的成员发送了邮件信息';
@@ -401,5 +401,5 @@
 $lang['Group'] = '组';
 $lang['[%s] Visit album %s'] = '[%s] 参观相册 %s';
-$lang['Hello,'] = '您好,';
+$lang['Hello,'] = '您好，';
 $lang['See you soon.'] = '再见.';
 $lang['Discover album:'] = '探索相册:';
@@ -408,6 +408,6 @@
 $lang['high'] = '高清';
 $lang['other'] = '其他';
-$lang['Element type'] = "内容类型";
-$lang['Image id'] = '图片标识符';
+$lang['Element type'] = '元素类型';
+$lang['Image id'] = '图片id';
 $lang['Summary'] = '概述';
 $lang['%d line filtered'] = '%d行被过滤';
@@ -419,5 +419,5 @@
 $lang['default values'] = '默认值';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
-$lang['Guest cannot be deleted'] = '不能删除来宾';
+$lang['Guest cannot be deleted'] = '游客不能删除';
 $lang['Default user cannot be deleted'] = '不能删除默认用户';
 $lang['Purge history detail'] = '清除历史记录';
@@ -443,5 +443,5 @@
 $lang['Main "guest" user does not exist'] = '主要"guest"用户不存在';
 $lang['Main "guest" user status is incorrect'] = '主要"guest"用户状态异常';
-$lang['Default user does not exist'] = '默认帐户不再存在';
+$lang['Default user does not exist'] = '默认用户不存在';
 $lang['Main "webmaster" user does not exist'] = '主要网管帐户不再存在';
 $lang['Main "webmaster" user status is incorrect'] = '主要网管用户状态异常';
@@ -452,5 +452,5 @@
 $lang['No display'] = '不显示缩略图';
 $lang['Classic display'] = '经典显示界面';
-$lang['Hoverbox display'] = '俯瞰显示';
+$lang['Hoverbox display'] = 'Hoverbox显示';
 $lang['Mail address is obligatory for all users'] = '每个用户必须提供邮箱地址';
 $lang['Minimum privacy level'] = '最小隐私等级';
@@ -466,8 +466,8 @@
 $lang['Check automatic corrections'] = '检查自动修复';
 $lang['Apply selected corrections'] = '应用选中的修复';
-$lang['Ignore selected anomalies'] = '忽视选择异常';
+$lang['Ignore selected anomalies'] = '忽略选中的异常';
 $lang['Refresh'] = '刷新';
 $lang['The anomaly will be ignored until next application version'] = '此异常将被忽略，待下次版本中解决';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = '异常更正将取消忽略事件';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = '已修复的异常将不再被忽略';
 $lang['%d anomaly has been ignored.'] = '%d个异常已被忽略.';
 $lang['%d anomalies have been ignored.'] = '%d个异常已被忽略.';
@@ -519,5 +519,5 @@
 $lang['overrides existing values with empty ones'] = '用空数据来删除已存在的数据';
 $lang['Manage photo ranks'] = '管理图片排序';
-$lang['Edit ranks'] = '修改排序方式';
+$lang['Edit ranks'] = '修改排列顺序';
 $lang['No photo in this album'] = '没有图片在此相册里';
 $lang['Images manual order was saved'] = '图片手动排序已保存';
@@ -526,5 +526,5 @@
 $lang['Quick Local Synchronization'] = '快速同步';
 $lang['No photo can be deleted'] = '没有图片可以删除';
-$lang['Delete selected photos'] = '删除图片';
+$lang['Delete selected photos'] = '删除选中的图片';
 $lang['%d photo was deleted'] = '%d张图片已被删除';
 $lang['%d photos were deleted'] = '%d张图片已被删除';
@@ -534,5 +534,5 @@
 $lang['Operation in progress'] = '正在处理.';
 $lang['Please wait...'] = '请稍候...';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = '订阅 Piwigo 最新消息，与 Piwigo 项目保持联系。当有新版本发布时，您将会收到邮件通知（有时也包括安全漏洞的修复，这对于升级是很重要的）和项目里一些重要事情的发生。一年里也只有几封邮件。';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = '订阅 Piwigo 最新消息，与 Piwigo 项目保持联系。当有新版本发布时，您将会收到邮件通知（有时也包括安全漏洞的修复，因而知晓并进行升级是很重要的），项目里一些重要事情发生时也一样。一年里也只有几封邮件喔。';
 $lang['Password is missing. Please enter the password.'] = '密码没有输入，请输入密码。';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = '密码确认未完成，请确认所选定的密码。';
@@ -547,14 +547,14 @@
 $lang['Themes'] = '主题';
 $lang['Instructions to use Piwigo'] = 'Piwigo 使用指南';
-$lang['Installed Themes'] = '安装主题';
+$lang['Installed Themes'] = '已安装主题';
 $lang['Add New Theme'] = '添加新主题';
-$lang['Forbid this theme to users'] = '禁用此主题';
+$lang['Forbid this theme to users'] = '对用户禁用此主题';
 $lang['Set as default theme for unregistered and new users'] = '设置为未注册者和新用户的默认主题';
 $lang['unknown'] = '未知';
 $lang['Upload Photos'] = '上传图片';
-$lang['Drop into album'] = '添加到相册';
+$lang['Drop into album'] = '选择一个相册';
 $lang['+ Add an upload box'] = '+ 添加一个上传框';
-$lang['Create the "%s" directory at the root of your Piwigo installation'] = '在您的根目录下创建 "%s" 目录以完成 Piwigo 的安装';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = '给予根目录下的 "%s" 目录写权限 (chmod 777) 以完成 Piwigo 的安装';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = '在您的Piwigo安装根目录下创建 "%s" 目录';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = '给予Piwigo安装根目录下的 "%s" 目录以写权限 (chmod 777)';
 $lang['existing album'] = '现有的相册';
 $lang['create a new album'] = '创建一个新相册';
@@ -587,8 +587,8 @@
 $lang['Get Support on Piwigo Forum'] = '在Piwigo论坛上获取帮助';
 $lang['Help Me'] = '帮助我';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = '父主题%s丢失，此主题不能被激活。';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = '此主题不能删除，因为其他主题还有依赖与它: %s';
-$lang['Inactive Themes'] = '停用主题';
-$lang['Install on your computer,'] = '安装到您的电脑里,';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = '父主题%s不存在，此主题不能被启用。';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = '此主题不能删除，因有其他主题有赖于它: %s';
+$lang['Inactive Themes'] = '停用的主题';
+$lang['Install on your computer,'] = '安装到您的电脑里，';
 $lang['Make this theme available to users'] = '让用户可使用此主题';
 $lang['Page end'] = '页尾';
@@ -610,5 +610,5 @@
 $lang['Allow user customization'] = '允许用户自定义';
 $lang['Languages'] = '语言';
-$lang['Installed Languages'] = '安装语言';
+$lang['Installed Languages'] = '已安装语言';
 $lang['Add New Language'] = '添加新语言';
 $lang['Language has been successfully installed'] = '语言已成功安装';
@@ -622,5 +622,5 @@
 $lang['Select at least one comment'] = '选择最新一个评论';
 $lang['Active Plugins'] = '启用的插件';
-$lang['Inactive Plugins'] = '停用插件';
+$lang['Inactive Plugins'] = '停用的插件';
 $lang['Missing Plugins'] = '丢失的插件';
 $lang['Uninstalled Plugins'] = '未安装的插件';
@@ -628,9 +628,9 @@
 $lang['Visit plugin site'] = '浏览插件网站';
 $lang['Active Languages'] = '启用的语言';
-$lang['Delete this language'] = '删除此语言';
-$lang['Forbid this language to users'] = '禁止用户使用此语言';
-$lang['Impossible to deactivate this language, first set another language as default.'] = '不能停用此语言，请先设置一个默认语言.';
-$lang['Impossible to deactivate this language, you need at least one language.'] = '不能停用此语言，您必须至少使用一个语言.';
-$lang['Inactive Languages'] = '停用语言';
+$lang['Delete this language'] = '删除此种语言';
+$lang['Forbid this language to users'] = '对用户禁用此语言';
+$lang['Impossible to deactivate this language, first set another language as default.'] = '不能停用此语言，请先设置一个新的默认语言.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = '不能停用此语言，您至少需要使用一个语言.';
+$lang['Inactive Languages'] = '停用的语言';
 $lang['Make this language available to users'] = '让用户可使用此语言';
 $lang['Set as default language for unregistered and new users'] = '设置为游客和新用户的默认语言';
@@ -655,6 +655,6 @@
 $lang['Pending Comments'] = '审核评论';
 $lang['Menu Management'] = '菜单';
-$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = '在您的 php.ini 文件, 如果 upload_max_filesize (%sB) 大于 post_max_size (%sB), 那么您需要修改此项';
-$lang['Exif extension not available, admin should disable exif use'] = 'Exif 扩展不能使用，管理员应该禁用 exif 功能。';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = '在您的 php.ini 文件，upload_max_filesize (%sB) 大于 post_max_size (%sB)，您需要修改此设置';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif 扩展不可用，管理员应该禁用 exif 功能。';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 upload_max_filesize 限制: %sB';
 $lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 post_max_size 限制: %sB';
@@ -664,5 +664,5 @@
 $lang['Missing a temporary folder'] = '缺少临时文件目录';
 $lang['Failed to write file to disk'] = '文件写入失败';
-$lang['File upload stopped by extension'] = '扩展使文件上传停止';
+$lang['File upload stopped by extension'] = '文件上传被扩展中止';
 $lang['Unknown upload error'] = '未知上传错误';
 $lang['Error on file "%s" : %s'] = '文件上的错误 "%s" : %s';
@@ -677,7 +677,7 @@
 $lang['Batch Manager'] = '批量管理';
 $lang['Choose an action'] = '选择一项操作';
-$lang['Delete orphan tags'] = '删除没被关联的标签';
+$lang['Delete orphan tags'] = '删除未被关联的标签';
 $lang['delete photo'] = '删除图片';
-$lang['Duplicates'] = '重复';
+$lang['Duplicates'] = '副本';
 $lang['include child albums'] = '包含子相册';
 $lang['manual order'] = '手工排序';
@@ -718,5 +718,5 @@
 $lang['Obsolete Plugins'] = '过期插件';
 $lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = '警告，此插件并不适用于这个版本的Piwigo。';
-$lang['Do you want to activate anyway?'] = '您还是想激活吗？';
+$lang['Do you want to activate anyway?'] = '您仍想启用吗？';
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = '这个插件现在已经是Piwigo核心的一部分，请马上删除它。';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = '错误：这个插件的实际内容已丢失但记录中它已被安装，请马上卸载它。';
@@ -732,5 +732,5 @@
 $lang['Activate icon "new" next to albums and pictures'] = '启用相册和图片旁边的"new"图标';
 $lang['Add a criteria'] = '添加一个条件';
-$lang['Deactivate all'] = '解除所有';
+$lang['Deactivate all'] = '停用所有';
 $lang['Default photos order'] = '默认图片排序';
 $lang['Restore'] = '恢复';
@@ -753,5 +753,5 @@
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = '以下插件可能与新版 Piwigo 不兼容:';
 $lang['Following themes may not be compatible with the new version of Piwigo:'] = '以下主题可能与新版 Piwigo 不兼容:';
-$lang['I decide to update anyway'] = '不管怎样，我决定更新';
+$lang['I decide to update anyway'] = '我仍决定要更新';
 $lang['Update to Piwigo %s'] = '更新到 Piwigo %s';
 $lang['Two updates are available'] = '有2个可用更新';
@@ -762,5 +762,5 @@
 $lang['Save Template Directory'] = '保存到模板目录';
 $lang['Dump Database'] = '转存数据库';
-$lang['Include history data (Warning: server memory limit may be exceeded)'] = '包括历史数据(注意：可能会超过服务器内存限制)';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = '包括历史数据(警告：可能会超过服务器内存限制)';
 $lang['Unable to dump database.'] = '不能转存数据库.';
 $lang['Some upgrades are available for extensions.'] = '一些可用的扩展更新.';
@@ -772,5 +772,5 @@
 $lang['Show menubar'] = '显示菜单栏';
 $lang['Updates'] = '更新';
-$lang['Crop'] = '剪裁';
+$lang['Crop'] = '裁切';
 $lang['... or '] = '...或 ';
 $lang['Create'] = '创建';
@@ -796,5 +796,5 @@
 $lang['Select an album'] = '选择一个相册';
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '默认情况下，Piwigo将根据您的图片的HD（高清）版本为图片创建一个新的网页尺寸。';
-$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '若无高清图片或当前网页尺寸大于重置标准，Piwigo会自动将其作为高清图片进行尺寸重置。';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '若无高清图片或当前网页尺寸的图片大于重置尺寸，Piwigo会将其视为高清图片并用它生成较小尺寸的网页尺寸图片。';
 $lang['An error has occured during upgrade.'] = '在升级过程中出现了一个错误.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在解压程序时出现了一个错误。请检查您 piwigo 安装文件的读写权限.<br><a href="%s">点此查看错误日志</a>.';
@@ -928,5 +928,5 @@
 $lang['create a new site'] = '新建网站';
 $lang['No order field selected'] = '未选择排序字段';
-$lang['Duplicate selected tags'] = '复制选定的标签';
+$lang['Duplicate selected tags'] = '复制选中的标签';
 $lang['Name of the duplicate'] = '重复的名称';
 $lang['Source tag'] = '源标签';