Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 18245)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 18246)
@@ -93,35 +93,35 @@
 $lang['Informations'] = '信息';
 $lang['Install'] = '安装';
-$lang['Link all album photos to a new album'] = '链接所有相册的图片到新的相册';
-$lang['Link all album photos to some existing albums'] = '链接所有相册的图片到现有的相册';
-$lang['Linked albums'] = '已链接相册';
-$lang['Lock gallery'] = '冻结图库';
+$lang['Link all album photos to a new album'] = '关联相册的所有图片到新相册';
+$lang['Link all album photos to some existing albums'] = '关联相册的所有图片到已有相册';
+$lang['Linked albums'] = '已关联的相册';
+$lang['Lock gallery'] = '锁定图库';
 $lang['Maintenance'] = '维护';
 $lang['Edit album permissions'] = '管理相册权限';
-$lang['Manage permissions for group "%s"'] = '对组 "%s" 进行权限管理';
+$lang['Manage permissions for group "%s"'] = '对 "%s" 组 进行权限管理';
 $lang['Manage permissions for user "%s"'] = '对用户 "%s" 进行权限管理';
-$lang['Manage tags'] = '标签管理';
+$lang['Manage tags'] = '管理标签';
 $lang['Members'] = '成员';
-$lang['Metadata synchronized from file'] = '对文件进行元数据同步';
+$lang['Metadata synchronized from file'] = '由文件同步元数据完成';
 $lang['Move albums'] = '移动相册';
 $lang['Move'] = '移动';
 $lang['Name'] = '名字';
-$lang['New name'] = '新名';
+$lang['New name'] = '新名称';
 $lang['New parent album'] = '新的父相册';
 $lang['New tag'] = '新建标签';
 $lang['Number of comments per page'] = '每页评论数';
-$lang['Number of rates'] = '投票数';
-$lang['Number of thumbnails to create'] = '缩略图数';
-$lang['Only private albums are listed'] = '只列出私有相册';
+$lang['Number of rates'] = '评分次数';
+$lang['Number of thumbnails to create'] = '将创建的缩略图数';
+$lang['Only private albums are listed'] = '只列出了私有相册';
 $lang['Operating system'] = '操作系统';
 $lang['Options'] = '选项';
 $lang['Other private albums'] = '其他私有相册';
-$lang['Page banner'] = '页标语';
+$lang['Page banner'] = '页banner';
 $lang['Parent album'] = '父相册';
 $lang['Path'] = '路径';
 $lang['Permalink'] = '固定链接';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = '固定链接 %s 已被 %s 相册使用了。请先从固定链接历史记录删除。';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = '固定链接 %s 已被相册 %s 使用了。请先将其从固定链接历史记录中删除。';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = '固定链接中包含了非法字符（"a-zA-Z0-9", "-", "_" ou "/"）. 禁止使用数字和以"-"开头后面紧跟数字';
-$lang['Permalink %s is already used by album %s'] = '固定链接 %s 已被 %s 相册使用了';
+$lang['Permalink %s is already used by album %s'] = '固定链接 %s 已被相册 %s 使用了';
 $lang['Permalink history'] = '固定链接历史记录';
 $lang['Permalinks'] = '固定链接';
@@ -129,5 +129,5 @@
 $lang['Permission granted thanks to a group'] = '同组成员可以访问授权类';
 $lang['Permission granted'] = '允许访问';
-$lang['Photo informations updated'] = '图片更新信息';
+$lang['Photo informations updated'] = '图片信息已更新';
 $lang['Plugins'] = '插件';
 $lang['Position'] = '位置';
@@ -183,5 +183,5 @@
 $lang['Public'] = '公共相册';
 $lang['Find a new representant by random'] = '采用新的随机相册缩略图';
-$lang['Public / Private'] = '公有 / 私有';
+$lang['Public / Private'] = '公共 / 私有';
 $lang['Manage authorizations for selected albums'] = '管理所选相册的授权';
 $lang['Virtual album added'] = '虚拟相册已添加';
@@ -216,5 +216,5 @@
 $lang['leave'] = '留空(默认)';
 $lang['Lock'] = '上锁';
-$lang['Locked'] = '锁定';
+$lang['Locked'] = '已锁定';
 $lang['manage album photos'] = '管理相册里的图片';
 $lang['manage sub-albums'] = '管理子相册';
@@ -222,5 +222,5 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
-$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = '由于发送用户列表的准备时间受限制,其余用户将不被列出.';
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = '由于准备 将被发送邮件的用户的列表 的时间有限，其余用户未被列出.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = '发送邮件时间有限,其余邮件被忽略.';
 $lang['To send ?'] = '发送?';
@@ -231,5 +231,5 @@
 $lang['Go to'] = '转至 ';
 $lang['Hello'] = '您好';
-$lang['New photos were added'] = '加入一些新图片';
+$lang['New photos were added'] = '新图片已加入';
 $lang['on'] = '时间: ';
 $lang['between'] = '时间: ';
@@ -247,5 +247,5 @@
 $lang['Notification'] = 'RSS订阅';
 $lang['Error when sending email to %s [%s].'] = '发送邮件给 %s [%s] 时发生了错误.';
-$lang['Mail sent to %s [%s].'] = '已发送至 %s [%s].';
+$lang['Mail sent to %s [%s].'] = '邮件已发送至 %s [%s].';
 $lang['%d mail was sent.'] = '%s份邮件已发送.';
 $lang['%d mails were sent.'] = '%s份邮件已发送.';
@@ -256,5 +256,5 @@
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = '只有当有新图片时,才能使用用户邮件通知功能.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = '本表单页仅站长可见，管理员不可见。';
-$lang['No user to send notifications by mail.'] = '没有邮件通知用户.';
+$lang['No user to send notifications by mail.'] = '没有需要邮件通知的用户.';
 $lang['New photos added'] = '新图片已加入';
 $lang['Subscribe to notification by mail'] = '注册邮件通知功能';
@@ -270,5 +270,5 @@
 $lang['Subscribed'] = '已注册';
 $lang['Subscribe'] = '注册';
-$lang['Parameters'] = '设置参数';
+$lang['Parameters'] = '参数';
 $lang['Select recipients'] = '选择接受邮件用户';
 $lang['Subscribe/unsubscribe users'] = '注册/注销用户';
@@ -293,5 +293,5 @@
 $lang['private'] = '私有';
 $lang['public'] = '公有';
-$lang['Purge never used notification feeds'] = '清除从没使用过的通知回馈';
+$lang['Purge never used notification feeds'] = '清除从未使用过的RSS订阅';
 $lang['Purge sessions'] = '清除会话';
 $lang['randomly represented'] = '随机显示';
@@ -332,5 +332,5 @@
 $lang['width must be a number superior to'] = '图片长度必须超过(整数)';
 $lang['for the file format'] = '对于文件格式';
-$lang['Photo unreachable or no support'] = '不支持图片格式或无法显示';
+$lang['Photo unreachable or no support'] = '不支持的图片格式或无法获取';
 $lang['GD version'] = 'GD版';
 $lang['General statistics'] = '普通统计';
@@ -364,5 +364,5 @@
 $lang['added'] = '已加入';
 $lang['deleted'] = '已删除';
-$lang['Metadata synchronization results'] = '元数据更新结果';
+$lang['Metadata synchronization results'] = '元数据同步结果';
 $lang['only perform a simulation (no change in database will be made)'] = '只进行模拟操作(不会改变数据库中的任何内容)';
 $lang['Simulation'] = '模拟';
@@ -421,6 +421,6 @@
 $lang['Guest cannot be deleted'] = '游客不能删除';
 $lang['Default user cannot be deleted'] = '不能删除默认用户';
-$lang['Purge history detail'] = '清除历史记录';
-$lang['Purge history summary'] = '清除历史目录';
+$lang['Purge history detail'] = '清除详细历史记录';
+$lang['Purge history summary'] = '清除历史摘要';
 $lang['Check integrity'] = '检查完整性';
 $lang['Anomaly'] = '异常';
@@ -441,9 +441,9 @@
 $lang['%s value is not correct file because exif are not supported'] = '%s 值不正确，因为不支持exif';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '在配置文件local/config/config.inc.php中，%s必须设置为"false"';
-$lang['Main "guest" user does not exist'] = '主要"guest"用户不存在';
-$lang['Main "guest" user status is incorrect'] = '主要"guest"用户状态异常';
+$lang['Main "guest" user does not exist'] = '主"游客"帐户不存在';
+$lang['Main "guest" user status is incorrect'] = '主"游客"帐户状态异常';
 $lang['Default user does not exist'] = '默认用户不存在';
-$lang['Main "webmaster" user does not exist'] = '主要网管帐户不再存在';
-$lang['Main "webmaster" user status is incorrect'] = '主要网管用户状态异常';
+$lang['Main "webmaster" user does not exist'] = '主"站长"帐户不存在';
+$lang['Main "webmaster" user status is incorrect'] = '主"站长"帐户状态异常';
 $lang['User "%s" created with "%s" like password'] = '用户 "%s" 已创建，密码是"%s"';
 $lang['Status of user "%s" updated'] = '用户 "%s" 状态已更新';
@@ -453,11 +453,11 @@
 $lang['Classic display'] = '经典显示界面';
 $lang['Hoverbox display'] = 'Hoverbox显示';
-$lang['Mail address is obligatory for all users'] = '每个用户必须提供邮箱地址';
+$lang['Mail address is obligatory for all users'] = '所有用户都须提交邮箱地址';
 $lang['Minimum privacy level'] = '最小隐私等级';
 $lang['Privacy level'] = '隐私等级';
 $lang['Level 0'] = '---';
-$lang['Level 1'] = '联系人';
+$lang['Level 1'] = '联系';
 $lang['Level 2'] = '朋友';
-$lang['Level 4'] = '亲戚';
+$lang['Level 4'] = '家人';
 $lang['Level 8'] = '管理员';
 $lang['Reinitialize check integrity'] = '重新完整性检查';
@@ -472,13 +472,13 @@
 $lang['%d anomaly has been ignored.'] = '%d个异常已被忽略.';
 $lang['%d anomalies have been ignored.'] = '%d个异常已被忽略.';
-$lang['Plugins which need upgrade'] = '必须更新插件';
+$lang['Plugins which need upgrade'] = '需要更新的插件';
 $lang['Plugin list'] = '插件列表';
 $lang['Check for updates'] = '检查更新';
-$lang['Other plugins'] = '其他插件';
+$lang['Other plugins'] = '其他可用插件';
 $lang['Last revisions'] = '最新修订版';
 $lang['Are you sure you want to install this plugin?'] = '确定要安装此插件？';
 $lang['Are you sure you want to delete this plugin?'] = '确定要删除此插件？';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '确定安装此更新？您必须确定此版本是否无需先进行卸载操作。';
-$lang['Plugin has been successfully copied'] = '插件复制成功.';
+$lang['Plugin has been successfully copied'] = '插件复制成功';
 $lang['You might go to plugin list to install and activate it.'] = '在插件列表中安装和启动插件.';
 $lang['Can\'t create temporary file.'] = '无法创建临时文件.';
@@ -514,5 +514,5 @@
 $lang['Templates configuration has been recorded.'] = '模板设置已保存.';
 $lang['All optimizations have been successfully completed.'] = '优化成功.';
-$lang['Optimizations have been completed with some errors.'] = '有些优化发生错误.';
+$lang['Optimizations have been completed with some errors.'] = '优化完成，部分优化发生了错误.';
 $lang['Modify information'] = '修改信息';
 $lang['nothing'] = '没有内容';
@@ -520,9 +520,9 @@
 $lang['Manage photo ranks'] = '管理图片排序';
 $lang['Edit ranks'] = '修改排列顺序';
-$lang['No photo in this album'] = '没有图片在此相册里';
+$lang['No photo in this album'] = '此相册里没有图片';
 $lang['Images manual order was saved'] = '图片手动排序已保存';
 $lang['ranks'] = '顺序';
 $lang['Drag to re-order'] = '拖放进行排序';
-$lang['Quick Local Synchronization'] = '快速同步';
+$lang['Quick Local Synchronization'] = '快速本地同步';
 $lang['No photo can be deleted'] = '没有图片可以删除';
 $lang['Delete selected photos'] = '删除选中的图片';
@@ -535,5 +535,5 @@
 $lang['Please wait...'] = '请稍候...';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = '订阅 Piwigo 最新消息，与 Piwigo 项目保持联系。当有新版本发布时，您将会收到邮件通知（有时也包括安全漏洞的修复，因而知晓并进行升级是很重要的），项目里一些重要事情发生时也一样。一年里也只有几封邮件喔。';
-$lang['Password is missing. Please enter the password.'] = '密码没有输入，请输入密码。';
+$lang['Password is missing. Please enter the password.'] = '密码未输入，请输入密码。';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = '密码确认未完成，请确认所选定的密码。';
 $lang['Allow users to edit their own comments'] = '允许用户修改自己的评论';
@@ -565,5 +565,5 @@
 $lang['Privacy level set to "%s"'] = '私有级别设置为 "%s"';
 $lang['Album "%s" now contains %d photos'] = '相册 "%s" 现已包含了 %d 张图片';
-$lang['Manage this set of %d photos'] = '管理此设置的 %d 张照片 ';
+$lang['Manage this set of %d photos'] = '管理本套 %d 张照片 ';
 $lang['Select files'] = '选择文件';
 $lang['Everybody'] = '每个人';
@@ -648,10 +648,10 @@
 $lang['Subscribe %s'] = '订阅%s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = '订阅%s Piwigo中国最新消息公告';
-$lang['Purge search history'] = '清除查寻历史记录';
+$lang['Purge search history'] = '清除搜索的历史记录';
 $lang['Hide'] = '隐藏';
-$lang['Order of menubar items has been updated successfully.'] = '所有项目已被更新.';
+$lang['Order of menubar items has been updated successfully.'] = '菜单项目排列顺序已更新成功.';
 $lang['This theme was not designed to be directly activated'] = '此主题并未设计为直接激活';
 $lang['Who can see this photo?'] = '查看权限';
-$lang['Pending Comments'] = '审核评论';
+$lang['Pending Comments'] = '待审核的评论';
 $lang['Menu Management'] = '菜单';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = '在您的 php.ini 文件，upload_max_filesize (%sB) 大于 post_max_size (%sB)，您需要修改此设置';
@@ -662,5 +662,5 @@
 $lang['The uploaded file was only partially uploaded'] = '上传文件只上传了一部分';
 $lang['No file was uploaded'] = '没有文件被上传';
-$lang['Missing a temporary folder'] = '缺少临时文件目录';
+$lang['Missing a temporary folder'] = '缺少临时文件夹';
 $lang['Failed to write file to disk'] = '文件写入失败';
 $lang['File upload stopped by extension'] = '文件上传被扩展中止';
@@ -683,8 +683,8 @@
 $lang['manual order'] = '手工排序';
 $lang['No photo in the current set.'] = '当前集合没有图片.';
-$lang['No photo selected, %d photos in current set'] = '没有选择图片, 当前集合有 %d 张图片';
-$lang['No photo selected, no action possible.'] = '没有选择图片，不会执行任何动作.';
+$lang['No photo selected, %d photos in current set'] = '没有图片被选中，当前集合有 %d 张图片';
+$lang['No photo selected, no action possible.'] = '没有图片被选中，不能执行任何操作.';
 $lang['on the %d selected photos'] = '在 %d 张已选图片上';
-$lang['Orphan tags deleted'] = '无关联标签已被删除';
+$lang['Orphan tags deleted'] = '无关联图片的标签已被删除';
 $lang['Refresh photo set'] = '刷新图片集';
 $lang['Remove all filters'] = '删除所有过滤器';
@@ -716,5 +716,5 @@
 
 
-$lang['Obsolete Plugins'] = '过期插件';
+$lang['Obsolete Plugins'] = '过期的插件';
 $lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = '警告，此插件并不适用于这个版本的Piwigo。';
 $lang['Do you want to activate anyway?'] = '您仍想启用吗？';
@@ -748,5 +748,5 @@
 $lang['ERROR'] = '错误';
 $lang['Update Complete'] = '更新完毕';
-$lang['Piwigo Update'] = 'Piwigo 更新';
+$lang['Piwigo Update'] = 'Piwigo更新';
 $lang['Extensions Update'] = '扩展更新';
 $lang['All extensions are up to date.'] = '所有扩展已更新.';
@@ -778,10 +778,10 @@
 $lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = '您在使用Flash上传工具，出问题了?请尝试<a href="%s">网页上传</a>。';
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = '您在使用网页上传方式，出问题了?请尝试<a href="%s">Flash上传工具</a>。';
-$lang['Maximum file size: %sB.'] = '文件最大尺寸: %sB.';
+$lang['Maximum file size: %sB.'] = '文件最大体积: %sB.';
 $lang['Allowed file types: %s.'] = '允许的文件类型: %s.';
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '最大的分辨率约: %dM 像素 (即 %dx%d 像素).';
-$lang['Manage Permissions'] = '管理查看权限';
+$lang['Manage Permissions'] = '管理权限';
 $lang['Learn more'] = '了解更多';
-$lang['Photo %s of %s'] = ' %s中的%s图片';
+$lang['Photo %s of %s'] = '图片%s位于%s中';
 $lang['show details'] = '显示详情';
 $lang['hide details'] = '隐藏详情';
@@ -790,5 +790,5 @@
 $lang['(this tag will be deleted)'] = '（此标签将被删除）';
 $lang['Confirm merge'] = '确认合并';
-$lang['Merge selected tags'] = '合并已选择的标签';
+$lang['Merge selected tags'] = '合并选中的标签';
 $lang['No destination tag selected'] = '没有选中的目的标签';
 $lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '标签<em>%s</em>与标签 <em>%s</em>已合并';
@@ -799,5 +799,5 @@
 $lang['An error has occured during upgrade.'] = '在升级过程中出现了一个错误.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在解压程序时出现了一个错误。请检查您 piwigo 安装文件的读写权限.<br><a href="%s">点此查看错误日志</a>.';
-$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo 不能从服务器中获取升级文件';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo无法从服务器中获取升级文件';
 $lang['%s has been successfully updated.'] = '成功更新了%s';
 $lang['Activate comments'] = '启用评论';
@@ -806,5 +806,5 @@
 $lang['Default comments order'] = '默认评论顺序';
 $lang['Last import'] = '最后导入';
-$lang['Original Size'] = '源大小';
+$lang['Original Size'] = '原始大小';
 $lang['Photo name'] = '图片名称';
 $lang['Predefined filter'] = '预定义过滤器';
@@ -825,5 +825,5 @@
 $lang['Move to album'] = '移动到相册';
 $lang['Not cropped correctly?'] = '剪裁不正确?';
-$lang['Notify administrators when a comment is'] = '需要通知管理员的评论';
+$lang['Notify administrators when a comment is'] = '通知管理员，当一个评论';
 $lang['pending validation'] = '待验证';
 $lang['registered users'] = '注册用户';
@@ -865,9 +865,9 @@
 $lang['Permission granted for groups'] = '为组授予的权限';
 $lang['Permission granted for users'] = '为用户授予的权限';
-$lang['Piwigo export plugin for Aperture'] = 'Piwigo Aperture导出插件';
-$lang['Piwigo export plugin for iPhoto'] = 'Piwigo iPhoto导出插件';
-$lang['Piwigo publish plugin for digiKam'] = 'Piwigo digiKam发布插件';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Lightroom发布插件';
-$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo Shotwell发布插件';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo的Aperture导出插件';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo的iPhoto导出插件';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo的digiKam发布插件';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo的Lightroom发布插件';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo的Shotwell发布插件';
 $lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid（Android RemoteGallery客户端）是一个开源（GPL V3）的Piwigo Android平台客户端。';
 $lang['Select groups...'] = '选择组';
@@ -883,5 +883,5 @@
 $lang['By default, the center of interest is placed in the middle of the photo.'] = '默认情况下，兴趣中心置于图片的中心。';
 $lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '对于剪裁照片大小，如“正方形”，Piwigo将竭尽所能的包括兴趣中心。';
-$lang['No group is permitted to see this private album'] = '没有可以访问这个私有相册的权限组';
+$lang['No group is permitted to see this private album'] = '没有组被允许查看这个私有相册';
 $lang['Opacity'] = '不透明';
 $lang['Permission management'] = '权限管理';
@@ -916,5 +916,5 @@
 $lang['%s in the future'] = '%s之后';
 $lang['Added by %s'] = '由%s添加';
-$lang['Numeric identifier : %d'] = '数字ID: %d';
+$lang['Numeric identifier : %d'] = '数字ID：%d';
 $lang['Original file : %s'] = '原文件:%s';
 $lang['Posted %s on %s'] = '发布 %s到 %s';
@@ -929,5 +929,5 @@
 $lang['No order field selected'] = '未选择排序字段';
 $lang['Duplicate selected tags'] = '复制选中的标签';
-$lang['Name of the duplicate'] = '重复的名称';
+$lang['Name of the duplicate'] = '副本的名称';
 $lang['Source tag'] = '源标签';
 $lang['Tag "%s" is now a duplicate of "%s"'] = '标签 "%s" 已是 "%s" 的复制版本';