Index: /extensions/CryptograPHP/language/da_DK/description.txt
===================================================================
--- /extensions/CryptograPHP/language/da_DK/description.txt	(revision 18258)
+++ /extensions/CryptograPHP/language/da_DK/description.txt	(revision 18258)
@@ -0,0 +1,1 @@
+Tilføjer Captcha til siderne brugerregistrering, kommentar og ContactForm (med tak til P@t).
Index: /extensions/CryptograPHP/language/da_DK/index.php
===================================================================
--- /extensions/CryptograPHP/language/da_DK/index.php	(revision 18258)
+++ /extensions/CryptograPHP/language/da_DK/index.php	(revision 18258)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CryptograPHP/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/da_DK/plugin.lang.php	(revision 18258)
+++ /extensions/CryptograPHP/language/da_DK/plugin.lang.php	(revision 18258)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['range:'] = 'interval:';
+$lang['Preview'] = 'Forhåndsvisning';
+$lang['Random string'] = 'Tilfældig streng';
+$lang['Register form'] = 'Registreringsformular';
+$lang['Simple equation'] = 'Simpelt regnestykke';
+$lang['Solve equation'] = 'Løs regnestykke';
+$lang['Text color'] = 'Tekstfarve';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Tip: Skriv "random" ("tilfældig") i farvefeltet for at få en tilfældig farve';
+$lang['good value:'] = 'god værdi:';
+$lang['random'] = 'tilfældig';
+$lang['Activate on'] = 'Aktivér ved';
+$lang['Album comments'] = 'Albumkommentarer';
+$lang['Background color'] = 'Baggrundsfarve';
+$lang['Captcha theme'] = 'Captcha-tema';
+$lang['Captcha type'] = 'Captcha-type';
+$lang['Case sensitive'] = 'Forskel på små og store bogstaver';
+$lang['Code lenght'] = 'Kodelængde';
+$lang['Comments action'] = 'Kommentarhandling';
+$lang['Contact form'] = 'Kontaktformular';
+$lang['Enter code'] = 'Skriv kode';
+$lang['Font'] = 'Skrifttype';
+$lang['Guestbook'] = 'Gæstebog';
+$lang['Invalid Captcha'] = 'Ugyldig Captcha';
+$lang['Lines color'] = 'Linjefarve';
+$lang['Lines density'] = 'Linjetykkelse';
+$lang['Moderate'] = 'Moderér';
+$lang['Noise color'] = 'Støjfarve';
+$lang['Noise level'] = 'Støjniveau';
+$lang['Perturbation'] = 'Uro';
+$lang['Picture comments'] = 'Billedkommentarer';
+?>