Index: /extensions/ColorStat/language/es_ES/description.txt
===================================================================
--- /extensions/ColorStat/language/es_ES/description.txt	(revision 18267)
+++ /extensions/ColorStat/language/es_ES/description.txt	(revision 18267)
@@ -0,0 +1,1 @@
+Análisis de estadísticas y búsqueda sobre colores
Index: /extensions/ColorStat/language/es_ES/index.php
===================================================================
--- /extensions/ColorStat/language/es_ES/index.php	(revision 18267)
+++ /extensions/ColorStat/language/es_ES/index.php	(revision 18267)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ColorStat/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/es_ES/plugin.lang.php	(revision 18267)
+++ /extensions/ColorStat/language/es_ES/plugin.lang.php	(revision 18267)
@@ -0,0 +1,114 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['cstat_save_config'] = 'Configuración guardada';
+$lang['cstat_search'] = 'Búsqueda';
+$lang['cstat_search_by_color'] = 'Buscar por colores';
+$lang['cstat_significant_colors'] = 'Relevancia de los colores';
+$lang['cstat_small_colortable'] = 'Gama reducida';
+$lang['cstat_stat'] = 'Estadísticas';
+$lang['cstat_stat_and_search'] = 'Estadísticas y Busqueda';
+$lang['cstat_statistics'] = 'Análisis estadísticas';
+$lang['cstat_status_of_database'] = 'Estado del referencial';
+$lang['cstat_step_1'] = 'Elección del referencial';
+$lang['cstat_surface'] = 'Superficie';
+$lang['cstat_update_color_database'] = 'Actualizar el referencial de colores';
+$lang['cstat_updating_database'] = 'Actualizar el referencial';
+$lang['cstat_validate'] = 'Valider';
+$lang['cstat_warning_on_analyze_0'] = '¡ Atención !';
+$lang['cstat_warning_on_analyze_1'] = '[+] Guardar
+
+El poder del depósito a través del proceso de análisis directo puede llegar a ser largo (hasta varios minutos de tratamiento) y consumir muchos recursos del servidor, basado en el número de fotos seleccionadas para el análisis.';
+$lang['cstat_warning_on_analyze_2'] = 'Algunos proveedores pueden sancionar este tipo de uso.';
+$lang['cstat_step_1_help'] = 'El análisis realizado por el complemento es para cada color que se encuentra en una imagen, hacer una comparación con un color que pertenece a un rango definido.
+Antes de poder utilizar el plugin, es necesario seleccionar el rango en el que trabajar.
+
+Dos gamas están disponibles:';
+$lang['cstat_loading'] = 'En procesamiento...';
+$lang['cstat_need_to_analyze'] = 'Para tener una referencia de color, es necesario llevar a cabo un análisis directo de la galería:';
+$lang['cstat_numberOfAnalyzedPictures'] = '%d Imágenes se analizaron';
+$lang['cstat_numberOfNotAnalyzedPictures'] = '%d Imágenes no se analizaron';
+$lang['cstat_numberOfPicturesInError'] = '%d imágenes no han sido analizados (error de procesamiento)';
+$lang['cstat_number_of_colors_used'] = 'Número de colores utilizados:';
+$lang['cstat_ok'] = 'Ok';
+$lang['cstat_operator_and'] = 'Todos los colores seleccionados deben estar presentes en la imagen';
+$lang['cstat_operator_not'] = 'Ninguno de los colores seleccionados deben estar presentes en la imagen';
+$lang['cstat_operator_or'] = 'Al menos uno de el color seleccionado debería estar presente en la imagen';
+$lang['cstat_percent_min_significant'] = 'Presencia mínima dentro de una imagen para que un color se considera relevante al buscar:';
+$lang['cstat_quality_high'] = 'Alta';
+$lang['cstat_quality_highest'] = 'Muy alta';
+$lang['cstat_quality_level'] = 'Calidad';
+$lang['cstat_quality_low'] = 'Baja';
+$lang['cstat_quality_lowest'] = 'Muy baja';
+$lang['cstat_quality_normal'] = 'Normal';
+$lang['cstat_quality_of_analyze'] = 'Calidad del análisis';
+$lang['cstat_release'] = 'v';
+$lang['cstat_sample_color_associated'] = 'Colores de la gama asociada ';
+$lang['cstat_color_already_choosen'] = 'El color está ya seleccionado en la lista';
+$lang['cstat_color_size'] = 'Dimensiones';
+$lang['cstat_colors'] = 'Colores';
+$lang['cstat_colors_on_image'] = 'Colores asociados a la imagen';
+$lang['cstat_config'] = 'Configuración';
+$lang['cstat_config_plugin'] = 'Configuración del plugin';
+$lang['cstat_database'] = 'Referencia';
+$lang['cstat_display_colors_on_image'] = 'Muestra los colores asociados con la imagen';
+$lang['cstat_do_bench'] = 'Medir';
+$lang['cstat_do_benchmark'] = 'Con base en el rendimiento del servidor, el análisis de las imágenes en la galería puede ser más corto o más largo. <br>
+Es posible ajustar el plugin para favorecer la velocidad de análisis a expensas de la calidad o, a la inversa, se centran en la calidad del análisis a expensas de la velocidad. <br><br>
+
+La medición del rendimiento refleja las capacidades de computación en un momento dado, que pueden variar dependiendo de la carga del servidor: el tiempo estimado de tratamiento se da a título informativo y por lo tanto varían un poco dependiendo de los recursos disponibles.';
+$lang['cstat_estimated_time_all_pictures'] = 'Tiempo estimado para todas las imágenes';
+$lang['cstat_estimated_time_one_picture'] = 'Tiempo estimado para una imagen';
+$lang['cstat_gallery_display_colors'] = 'Muestra los colores de la imagen';
+$lang['cstat_gallery_integration'] = 'Integración en la galería';
+$lang['cstat_gpc_not_up_to_date'] = 'Es necesario que el plugin <i>Grum Plugin Classes</i> versión % este instalado.';
+$lang['cstat_help_large_color_table'] = 'Trabajar en una gama más amplia de colores puede tener un mayor número de tonos de un color dado. Esto tiene la ventaja de permitir la investigación para refinar una gama de colores con mayor precisión y por lo tanto para aumentar la pertinencia de los resultados.
+
+A cambio, una imagen con uno o dos colores principalmente presentes, la variación de tonos de estas reducirá en gran medida la probabilidad de referencia de los tonos minoritarios.';
+$lang['cstat_help_small_color_table'] = 'Trabajar sobre una pequeña gama de colores aumenta la probabilidad de referenciar tonos minoritarios. Esto tiene la ventaja de permitir la búsqueda de gamas de colores más anchas.
+
+Por el contrario, la variación de matices estando menor, el relevancia de los resultados de búsqueda sobre un color puede ser sorprendentes, sobre todo en las imágenes con baja saturación.';
+$lang['cstat_images'] = 'Imágenes';
+$lang['cstat_install'] = 'Instalación';
+$lang['cstat_large_colortable'] = 'Una gama más amplia';
+$lang['cstat_Pct'] = '%';
+$lang['cstat_add_colors'] = 'Añadir una selección de colores';
+$lang['cstat_analyze'] = 'Analizar';
+$lang['cstat_analyze_all_pictures'] = 'El análisis se centra en todas las imágenes de la galería y reemplaza el repositorio actual';
+$lang['cstat_analyze_caddie_add_pictures'] = 'El análisis se centra en las imágenes de la cesta y se añade al repositorio actual';
+$lang['cstat_analyze_caddie_replace_pictures'] = 'El análisis se centra en las imágenes de la cesta y sustituye al repositorio actual';
+$lang['cstat_analyze_in_progress'] = 'En procesamiento...';
+$lang['cstat_analyze_is_finished'] = 'Procesamiento completo';
+$lang['cstat_analyze_not_analyzed_pictures'] = 'El análisis se centra en las imágenes que nunca han sido analizados y se agrega al repositorio actual';
+$lang['cstat_apply'] = 'Aplicar';
+$lang['cstat_bench'] = 'Medición del rendimiento';
+$lang['cstat_choose_colors'] = 'Selección de colores';
+$lang['cstat_choosen_colors'] = ' Colores seleccionados';
+$lang['cstat_color'] = 'Colores';
+$lang['cstat_NumOfPixels_help'] = 'Indica el numero de pixeles por el cual el color a sido determinado.
+<br>El porcentaje esta en relacion al numero de pixeles analizados y representa la \'superficie\' ocupada por el conjunto de las fotos.';
+$lang['cstat_NumOfPixels'] = 'Numero de pixeles';
+$lang['cstat_NumOfImages_help'] = 'Indica el numero de imágenes en las cuales el color esta presente.
+<br>El porcentaje esta en relacion al numero de imágenes analizadas.';
+$lang['cstat_NumOfImages'] = 'Numero de imágenes';
+$lang['Grum Plugin Classes is not installed'] = 'El plugin <b>Grum Plugin Classes</b> no esta instalado';
+?>