Index: tensions/UserAdvManager/trunk/ConfirmMail.php
===================================================================
--- /extensions/UserAdvManager/trunk/ConfirmMail.php	(revision 18274)
+++ 	(revision )
@@ -1,143 +1,0 @@
-<?php
-//----------------------------------------------------------- include
-define('PHPWG_ROOT_PATH','./../../');
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-include_once( PHPWG_ROOT_PATH.'include/functions_mail.inc.php' );
-
-include_once (UAM_PATH.'include/constants.php');
-include_once (UAM_PATH.'include/functions.inc.php');
-
-$title= l10n('UAM_confirm_mail_page_title');
-$page['body_id'] = 'theAboutPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
-
-@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
-  '/theme/'.$user['theme'].'/themeconf.inc.php');
-
-
-if (isset($_GET['key']) and isset($_GET['userid']))
-{
-
-  global $user, $lang, $conf, $errors;
-  
-  $key = $_GET['key'];
-  $userid = $_GET['userid'];
-  $redirect = false;
-  
-  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
-  $conf_UAM = unserialize($conf['UserAdvManager']);
-
-  $query = '
-SELECT '.USERS_TABLE.'.username
-FROM '.USERS_TABLE.'
-WHERE ('.USERS_TABLE.'.id ='.$userid.')
-;';
-  $result = pwg_db_fetch_assoc(pwg_query($query));
-
-  if (VerifyConfirmMail($key))
-  {
-    $status = true;
-    log_user($userid, false);
-    if (isset($conf_UAM[1]) and $conf_UAM[1] == 'local')
-    {
-      validation_mail($userid);
-    }
-// We have to get the user's language in database
-// ----------------------------------------------
-    $query = '
-SELECT language
-FROM '.USER_INFOS_TABLE.'
-WHERE '.USER_INFOS_TABLE.'.user_id ='.$userid.'
-;';
-    $data = pwg_db_fetch_assoc(pwg_query($query));
-
-// Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language
-// -------------------------------------------------------------------------------------------------------------------------------
-    if (empty($data))
-    {
-// And switch gallery to this language before using personalized and multilangual contents
-// ---------------------------------------------------------------------------------------
-      $language = pwg_get_session_var('lang_switch', $user['language']);
-      switch_lang_to($language);
-    }
-    else
-    {
-// And switch gallery to this language before using personalized and multilangual contents
-// ---------------------------------------------------------------------------------------
-      switch_lang_to($data['language']);
-      load_language('plugin.lang', UAM_PATH);
-    }
-
-    if (isset($conf_UAM_ConfirmMail[5]) and $conf_UAM_ConfirmMail[5] <> '')
-    {
-      // Management of Extension flags ([username], [mygallery], [myurl])
-      // ----------------------------------------------------------------
-      $patterns[] = '#\[username\]#i';
-      $replacements[] = $result['username'];
-      $patterns[] = '#\[mygallery\]#i';
-      $replacements[] = $conf['gallery_title'];
-      $patterns[] = '#\[myurl\]#i';
-      $replacements[] = get_gallery_home_url();
-
-      if (function_exists('get_user_language_desc'))
-      {
-        $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[5]));
-      }
-      else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[5]));
-    }
-    
-    $redirect = true;
-  }  
-  else
-  {
-    $status = false;
-    $redirect = false;
-    
-    if (isset($conf_UAM_ConfirmMail[6]) and $conf_UAM_ConfirmMail[6] <> '')
-    {
-      // Management of Extension flags ([username], [mygallery], [myurl])
-      // ----------------------------------------------------------------
-      $patterns[] = '#\[username\]#i';
-      $replacements[] = $result['username'];
-      $patterns[] = '#\[mygallery\]#i';
-      $replacements[] = $conf['gallery_title'];
-      $patterns[] = '#\[myurl\]#i';
-      $replacements[] = get_gallery_home_url();
-   
-      if (function_exists('get_user_language_desc'))
-      {
-        $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[6]));
-      }
-      else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[6]));
-    }
-  }
-
-  $Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
-
-  $template->assign(
-    array(
-      'UAM_PATH'             => $Path_UAM,
-      'REDIRECT'             => $redirect,
-      'STATUS'               => $status,
-		  		'CONFIRM_MAIL_MESSAGE' => $custom_text,
-    )
-  );
-}
-
-if (isset($lang['Theme: '.$user['theme']]))
-{
-  $template->assign(
-  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
-  );
-}
-
-$template->set_filenames(
-  array(
-  	'confirm_mail'=>dirname(__FILE__).'/template/ConfirmMail.tpl',
-	)
-);
-
-$template->pparse('confirm_mail');
-include(PHPWG_ROOT_PATH.'include/page_tail.php');
-?>
Index: tensions/UserAdvManager/trunk/GT_del_account.php
===================================================================
--- /extensions/UserAdvManager/trunk/GT_del_account.php	(revision 18274)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<?php
-//----------------------------------------------------------- include
-define('PHPWG_ROOT_PATH','./../../');
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-
-include_once (UAM_PATH.'include/constants.php');
-include_once (UAM_PATH.'include/functions.inc.php');
-
-$title= l10n('UAM_Deleted_Account_Redirection_Page');
-$page['body_id'] = 'theAboutPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
-
-@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
-  '/theme/'.$user['theme'].'/themeconf.inc.php');
-
-
-global $user, $lang, $conf, $errors;
-  
-
-$conf_UAM = unserialize($conf['UserAdvManager']);
-
-if (isset($conf_UAM[23]) and $conf_UAM[23] <> '')
-{
-  // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
-  // -----------------------------------------------------------------------------------------
-  $patterns[] = '#\[mygallery\]#i';
-  $replacements[] = $conf['gallery_title'];
-  $patterns[] = '#\[myurl\]#i';
-  $replacements[] = get_gallery_home_url();
-
-  if (function_exists('get_user_language_desc'))
-  {
-    $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[23]));
-  }
-  else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
-}
-
-$Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
-
-$template->assign(
-  array(
-    'UAM_PATH'             => $Path_UAM,
-    'CUSTOM_REDIR_MSG'     => $custom_text,
-  )
-);
-
-if (isset($lang['Theme: '.$user['theme']]))
-{
-  $template->assign(
-  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
-  );
-}
-
-$template->set_filenames(
-  array(
-  	'UAM_RedirPage'=>dirname(__FILE__).'/template/del_account.tpl',
-	)
-);
-
-$template->pparse('UAM_RedirPage');
-include(PHPWG_ROOT_PATH.'include/page_tail.php');
-?>
Index: tensions/UserAdvManager/trunk/USR_del_account.php
===================================================================
--- /extensions/UserAdvManager/trunk/USR_del_account.php	(revision 18274)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?php
-//----------------------------------------------------------- include
-define('PHPWG_ROOT_PATH','./../../');
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-
-include_once (UAM_PATH.'include/constants.php');
-include_once (UAM_PATH.'include/functions.inc.php');
-
-$title= l10n('UAM_Deleted_Account_Redirection_Page');
-$page['body_id'] = 'theAboutPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
-
-@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
-  '/theme/'.$user['theme'].'/themeconf.inc.php');
-
-
-global $user, $lang, $conf, $errors;
-  
-
-$conf_UAM = unserialize($conf['UserAdvManager']);
-
-if (isset($conf_UAM[31]) and $conf_UAM[31] <> '')
-{
-  // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
-  // -----------------------------------------------------------------------------------------
-  $patterns[] = '#\[mygallery\]#i';
-  $replacements[] = $conf['gallery_title'];
-  $patterns[] = '#\[myurl\]#i';
-  $replacements[] = get_gallery_home_url();
-
-  if (function_exists('get_user_language_desc'))
-  {
-    $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[31]));
-  }
-  else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[31]));
-}
-    
-$template->assign(
-  array(
-    'CUSTOM_REDIR_MSG'     => $custom_text,
-  )
-);
-
-if (isset($lang['Theme: '.$user['theme']]))
-{
-  $template->assign(
-  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
-  );
-}
-
-$template->set_filenames(
-  array(
-  	'UAM_RedirPage'=>dirname(__FILE__).'/template/del_account.tpl',
-	)
-);
-
-$template->pparse('UAM_RedirPage');
-include(PHPWG_ROOT_PATH.'include/page_tail.php');
-?>
Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 18274)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 18275)
@@ -344,5 +344,8 @@
             New unvalidated user controls more efficient
             Get admins emails instead of webmaster's for sending validation email
+            rejected.php, ConfirmMail.php, GT_del_account.php and USR_del_account.php (and associated templates)are no more used. All messages are displayed on Piwigo's main page
             TODO - New simplifed administration panel
+            Update es_ES, thanks to : jpr928
+            Update el_GR, thanks to : bas_alba
 */
 ?>
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18274)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18275)
@@ -577,5 +577,5 @@
           invalidate_user_cache();
           logout_user();
-          redirect( make_index_url().'?UAM_msg=deleted', 0);
+          redirect(make_index_url().'?UAM_msg=deleted', 0);
         }
     		}
@@ -805,5 +805,5 @@
           invalidate_user_cache();
           logout_user();
-          redirect(UAM_PATH.'USR_del_account.php');
+          redirect(make_index_url().'?UAM_msg=deleted', 0);
         }
     		}
@@ -929,5 +929,5 @@
     }
 
-				// User account deleted after validation deadline
+				// User account deleted after validation deadline - Triggered by any other user
     elseif (isset($conf_UAM[23]) and !empty($conf_UAM[23]) and $_GET['UAM_msg']=="deleted")
     {
@@ -944,4 +944,23 @@
       }
       else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
+      
+      $page["errors"][]=$custom_text;
+    }
+
+				// User account deleted after validation deadline - Triggered by user himself
+    elseif (isset($conf_UAM[31]) and !empty($conf_UAM[31]) and $_GET['UAM_msg']=="deleted")
+    {
+      // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
+      // -----------------------------------------------------------------------------------------
+      $patterns[] = '#\[mygallery\]#i';
+      $replacements[] = $conf['gallery_title'];
+      $patterns[] = '#\[myurl\]#i';
+      $replacements[] = get_gallery_home_url();
+
+      if (function_exists('get_user_language_desc'))
+      {
+        $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[31]));
+      }
+      else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[31]));
       
       $page["errors"][]=$custom_text;