Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 18277)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 18278)
@@ -135,18 +135,18 @@
 $lang['Properties'] = '属性';
 $lang['Random photo'] = '随机图片';
-$lang['Rate date'] = '投票日期';
-$lang['Rating by guests'] = '游客投票数';
-$lang['Rating'] = '投票';
-$lang['Reject'] = '取消';
+$lang['Rate date'] = '打分日期';
+$lang['Rating by guests'] = '游客的打分';
+$lang['Rating'] = '打分';
+$lang['Reject'] = '拒绝';
 $lang['Representant'] = '相册缩略图';
 $lang['Representation of albums'] = '相册缩略图';
 $lang['Representative'] = '相册缩略图';
-$lang['Represents'] = '作为此相册的缩略图';
+$lang['Represents'] = '是以下相册的缩略图：';
 $lang['Save order'] = '保存排序';
 $lang['Save to permalink history'] = '保存到固定链接的历史记录中';
-$lang['Select at least one album'] = '选择最后一个相册';
-$lang['Select at least one photo'] = '至少选中一张图片';
-$lang['Select at least one user'] = '至少选中一个用户';
-$lang['Show info'] = '显示所有信息';
+$lang['Select at least one album'] = '请至少选择一个相册';
+$lang['Select at least one photo'] = '请至少选择一张图片';
+$lang['Select at least one user'] = '请至少选择一个用户';
+$lang['Show info'] = '显示信息';
 $lang['Site manager'] = '网站管理';
 $lang['Status'] = '状态';
@@ -228,5 +228,5 @@
 $lang['email'] = '邮件';
 $lang['User'] = '用户';
-$lang['See you soon,'] = '再见,';
+$lang['See you soon,'] = '再见，';
 $lang['Go to'] = '转至 ';
 $lang['Hello'] = '您好';
@@ -265,5 +265,5 @@
 $lang['Add detailed content'] = '增加细节内容';
 $lang['Send mail as'] = '发送邮件作为';
-$lang['Send mail to users'] = '给用户发送邮件';
+$lang['Send mail to users'] = '向用户发送邮件';
 $lang['Send'] = '发送';
 $lang['Options'] = '选项';
@@ -271,5 +271,5 @@
 $lang['Subscribe'] = '注册';
 $lang['Parameters'] = '参数';
-$lang['Select recipients'] = '选择接受邮件用户';
+$lang['Select recipients'] = '选择接收邮件的用户';
 $lang['Subscribe/unsubscribe users'] = '注册/注销用户';
 $lang['Unsubscribed'] = '已注销';
@@ -361,5 +361,5 @@
 $lang['photos added in the database'] = '增加图片到数据库';
 $lang['photos updated in the database'] = '更新数据库中的图片';
-$lang['Search for new images in the directories'] = '查询文件中的新图片';
+$lang['Search for new images in the directories'] = '在目录中搜索新图片';
 $lang['added'] = '已加入';
 $lang['deleted'] = '已删除';
@@ -402,5 +402,5 @@
 $lang['[%s] Visit album %s'] = '[%s] 参观相册 %s';
 $lang['Hello,'] = '您好，';
-$lang['See you soon.'] = '再见.';
+$lang['See you soon.'] = '再见。';
 $lang['Discover album:'] = '探索相册:';
 $lang['Mail content'] = '邮件内容';
@@ -461,5 +461,5 @@
 $lang['Level 4'] = '家人';
 $lang['Level 8'] = '管理员';
-$lang['Reinitialize check integrity'] = '重新完整性检查';
+$lang['Reinitialize check integrity'] = '初始化完整性检查';
 $lang['Check all'] = '检查所有';
 $lang['Uncheck all'] = '取消全选';
@@ -508,5 +508,5 @@
 $lang['Templates'] = '模板';
 $lang['Extend for templates'] = '扩展模板';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] = '用位于template-extension文件夹下的用户自定义模板更换原模板';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = '用位于template-extension子文件夹下的用户自定义模板替换原模板';
 $lang['Replacers (customized templates)'] = '自定义模板';
 $lang['Original templates'] = '原模板';
@@ -550,5 +550,5 @@
 $lang['Add New Theme'] = '添加新主题';
 $lang['Forbid this theme to users'] = '对用户禁用此主题';
-$lang['Set as default theme for unregistered and new users'] = '设置为未注册者和新用户的默认主题';
+$lang['Set as default theme for unregistered and new users'] = '设置为游客和新用户的默认主题';
 $lang['unknown'] = '未知';
 $lang['Upload Photos'] = '上传图片';
@@ -570,5 +570,5 @@
 $lang['Who can see these photos?'] = '哪些人可以看到这些图片?';
 $lang['Settings'] = '设置';
-$lang['Resize'] = '重置大小';
+$lang['Resize'] = '修改尺寸';
 $lang['Maximum width'] = '最大宽度';
 $lang['pixels'] = '像素';
@@ -620,5 +620,5 @@
 $lang['Bound Theme'] = '绑定主题';
 $lang['Allow rating'] = '允许投票';
-$lang['Select at least one comment'] = '选择最新一个评论';
+$lang['Select at least one comment'] = '请至少选择一个评论';
 $lang['Active Plugins'] = '启用的插件';
 $lang['Inactive Plugins'] = '停用的插件';
@@ -729,5 +729,5 @@
 $lang['display'] = '显示';
 $lang['Average rate'] = "平均分";
-$lang['Rate'] = "比率";
+$lang['Rate'] = '打分';
 $lang['Activate icon "new" next to albums and pictures'] = '启用相册和图片旁边的"new"图标';
 $lang['Add a criteria'] = '添加一个条件';
@@ -735,5 +735,5 @@
 $lang['Default photos order'] = '默认图片排序';
 $lang['Restore'] = '恢复';
-$lang['Restore default configuration. You will lose your plugin settings!'] = '恢复默认的配置，您将失去插件的配置!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = '恢复默认的配置，您将失去您的插件的设置!';
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = '您不能设置默认图片的排序，因为您已在本地配置文件里有自定义设置';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = '您已在本地配置文件里定义了 <i>$conf[\'order_by\']</i> , 此参数已不再使用了, 请在 <i>$conf[\'order_by_custom\']</i> 里移除或者改名 !';
@@ -744,5 +744,5 @@
 $lang['Update in progress... Please wait.'] = '正在更新... 请稍等.';
 $lang['Ignore this update'] = '忽略此更新';
-$lang['Reset ignored updates'] = '重置忽略更新';
+$lang['Reset ignored updates'] = '重置已忽略的更新';
 $lang['Update All'] = '更新所有';
 $lang['ERROR'] = '错误';
@@ -758,11 +758,11 @@
 $lang['This is a minor update, with only bug corrections.'] = '这是一个次要更新,只是对错误的修正.';
 $lang['This is a major update, with <a href="%s">new exciting features</a>.'] = '这是一个重大更新, 和 <a href="%s">令人兴奋的新功能</a>.';
-$lang['Some themes and plugins may be not available yet.'] = '一些主题和插件可能还不能使用.';
+$lang['Some themes and plugins may be not available yet.'] = '一些主题和插件可能还不能使用。';
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = '您可以直接更新到 Piwigo %s, 不需先更新到 Piwigo %s (推荐).';
-$lang['Save Template Directory'] = '保存到模板目录';
+$lang['Save Template Directory'] = '保存模板目录';
 $lang['Dump Database'] = '转存数据库';
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = '包括历史数据(警告：可能会超过服务器内存限制)';
 $lang['Unable to dump database.'] = '不能转存数据库.';
-$lang['Some upgrades are available for extensions.'] = '一些可用的扩展更新.';
+$lang['Some upgrades are available for extensions.'] = '有已更新的扩展。';
 $lang['Ignore All'] = '忽略所有';
 $lang['Width'] = '宽度';
@@ -793,5 +793,5 @@
 $lang['No destination tag selected'] = '没有选中的目的标签';
 $lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '标签<em>%s</em>与标签 <em>%s</em>已合并';
-$lang['Select at least two tags for merging'] = '请选择2个以上的标签合并';
+$lang['Select at least two tags for merging'] = '请至少选择2个标签以合并';
 $lang['Select an album'] = '选择一个相册';
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '默认情况下，Piwigo将根据您的图片的HD（高清）版本为图片创建一个新的网页尺寸。';
@@ -810,5 +810,5 @@
 $lang['Predefined filter'] = '预定义过滤器';
 $lang['Resize after upload'] = '上传后修改尺寸';
-$lang['Send connection settings by email'] = '发送注册信息到邮箱';
+$lang['Send connection settings by email'] = '用邮件发送注册信息';
 $lang['The original image quality must be a number between %d and %d'] = '源图片质量必须是在%d和%d之间的数字';
 $lang['The original maximum height must be a number between %d and %d'] = '源图片最大高度必须是在%d和%d之间的数字';
@@ -828,5 +828,5 @@
 $lang['pending validation'] = '待验证';
 $lang['registered users'] = '注册用户';
-$lang['Save visits in history for'] = '保存访问记录';
+$lang['Save visits in history for'] = '保存访问的历史记录';
 $lang['simple visitors'] = '游客';
 $lang['This album contains %d photos, added between %s and %s.'] = '这个相册包含%d张图片,添加于%s和%s之间';
@@ -870,8 +870,8 @@
 $lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo的Lightroom发布插件';
 $lang['Piwigo publish plugin for Shotwell'] = 'Piwigo的Shotwell发布插件';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid（Android RemoteGallery客户端）是一个开源（GPL V3）的Piwigo Android平台客户端。';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid（Android RemoteGallery客户端）是一个开源（GPL V3）的Android平台Piwigo客户端。';
 $lang['Select groups...'] = '选择组';
-$lang['Select users...'] = '选择用户';
-$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell是一个运行在Linux上开源的数码照片管理软件。它是Ubuntu和Fedora的默认照片管理软件。';
+$lang['Select users...'] = '选择用户...';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell是一个运行在Linux上的开源数码照片管理软件。它是Ubuntu和Fedora的默认照片管理软件。';
 $lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo的导出插件允许你创建相册和导出照片。';
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo发布插件允许你从Lightroom直接导出和同步照片到您的Piwigo相册。';
@@ -888,5 +888,5 @@
 $lang['Photo sizes with crop'] = '图片剪裁大小';
 $lang['Select a file'] = '选择文件';
-$lang['Select a zone with your mouse to define a new center of interest.'] = '用鼠标选择一个区域，定义一个新的兴趣中心。';
+$lang['Select a zone with your mouse to define a new center of interest.'] = '用鼠标选择一个区域，以定义一个新的兴趣中心。';
 $lang['The center of interest is the most meaningful zone in the photo.'] = '兴趣中心(焦点)是照片中最有意义的区域。';
 $lang['X Position'] = 'X位置';
@@ -919,5 +919,5 @@
 $lang['Original file : %s'] = '原文件:%s';
 $lang['Posted %s on %s'] = '发布 %s到 %s';
-$lang['Rated %d times, score : %.2f'] = '评分： %d次，得分：%.2f';
+$lang['Rated %d times, score : %.2f'] = '打分：%d次，得分：%.2f';
 $lang['Sharpen'] = '锐化';
 $lang['Visited %d times'] = '访问数: %d';