Index: extensions/photoWidget/language/da_DK/description.txt
===================================================================
--- extensions/photoWidget/language/da_DK/description.txt	(revision 18310)
+++ extensions/photoWidget/language/da_DK/description.txt	(revision 18310)
@@ -0,0 +1,1 @@
+Tilføjer en imponerende 3-D-animation af billeder.
Index: extensions/photoWidget/language/da_DK/index.php
===================================================================
--- extensions/photoWidget/language/da_DK/index.php	(revision 18310)
+++ extensions/photoWidget/language/da_DK/index.php	(revision 18310)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/da_DK/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 18310)
+++ extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 18310)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['one category'] = 'et album';
+$lang['severals categories'] = 'flere albummer';
+$lang['All categories'] = 'Alle albummer';
+$lang['Animation background color'] = 'Animationens baggrundsfarve';
+$lang['Animation size'] = 'Animationsstørrelse';
+$lang['Applicable categorie(s)'] = 'Anvendelige album(mer)';
+$lang['Background color of animation has been updated'] = 'Animationens baggrundsfarve er opdateret';
+$lang['Color'] = 'Farve';
+$lang['Height'] = 'Højde';
+$lang['Height has been updated'] = 'Højden er opdateret';
+$lang['Main configuration'] = 'Hovedopsætning';
+$lang['No'] = 'Nej';
+$lang['Photo Widget Plugin'] = 'Photo Widget Plugin';
+$lang['Submit'] = 'Indsend';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Plugin\'en viser fotografier ved hjælp af en Flash-film, som roterer dem i 3-D. Det fungerer som almindelige albummer, men på en mere imponerende og spændende måde.';
+$lang['This widget requires Flash Player 9 or better'] = 'Denne widget kræver Flash Player 9 eller senere';
+$lang['Width'] = 'Bredde';
+$lang['Width has been updated'] = 'Bredden er opdateret';
+$lang['Yes'] = 'Ja';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Du kan vælge den tilstand visning af et, flere eller alle albummer';
+$lang['You choose that mode for'] = 'Du kan vælge den tilstand til';
+$lang['You must choose at least one category'] = 'Du skal vælge mindst et album';
+?>